NNG_DIALER_ID(3)

NAME
nng_dialer_id - return numeric dialer identifier

SYNOPSIS

    #include <nng/nng.h>

    int nng_dialer_id(nng_dialer d);

DESCRIPTION

The nng_dialer_id() function returns a positive identifier for the dialer d, if it is valid. Otherwise it returns -1.

    Note

    A dialer is considered valid if it was ever created with the nng_dialer_create() or nng_dial() functions. Dialers that are allocated on the stack or statically should be initialized with the macro NNG_DIALER_INITIALIZER to ensure that they cannot be confused with a valid dialer before they are created properly.

RETURN VALUES

This function returns the positive value for the dialer identifier, or -1 if the dialer is invalid.

ERRORS

None.

SEE ALSO

nng_dialer(5), nng(7)